package mx.edu.uaz.controlpeliculas.vistas;

import com.vaadin.annotations.AutoGenerated;
import com.vaadin.annotations.DesignRoot;
import com.vaadin.ui.Button;
import com.vaadin.ui.ComboBox;
import com.vaadin.ui.CssLayout;
import com.vaadin.ui.RichTextArea;
import com.vaadin.ui.TextField;
import com.vaadin.ui.declarative.Design;

/** 
 * !! DO NOT EDIT THIS FILE !!
 * 
 * This class is generated by Vaadin Designer and will be overwritten.
 * 
 * Please make a subclass with logic and additional interfaces as needed,
 * e.g class LoginView extends LoginDesign implements View { }
 */
@DesignRoot
@AutoGenerated
@SuppressWarnings("serial")
public class PeliculasFormDesign extends CssLayout {
	protected TextField tfTitulo;
	protected TextField tfDuracion;
	protected RichTextArea rtaSinopsis;
	protected ComboBox<mx.edu.uaz.controlpeliculas.modelos.Director> cboDirector;
	protected ComboBox<mx.edu.uaz.controlpeliculas.modelos.Genero> cboGenero;
	protected ComboBox<mx.edu.uaz.controlpeliculas.modelos.Clasificacion> cboClasificacion;
	protected ComboBox<mx.edu.uaz.controlpeliculas.modelos.Idioma> cboIdioma;
	protected Button btnAgrega;
	protected Button btnCancelar;

	public PeliculasFormDesign() {
		Design.read(this);
	}
}
